Rename account
curl --request PATCH \
--url https://api.quiva.ai/accounts/rename \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_name": "new-acme",
"email_code": "123456"
}
'import requests
url = "https://api.quiva.ai/accounts/rename"
payload = {
"new_name": "new-acme",
"email_code": "123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_name: 'new-acme', email_code: '123456'})
};
fetch('https://api.quiva.ai/accounts/rename', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Account Management
Rename account
Renames an account
- Allows the root user of an account to change the display name and internal name of their account
- They must request a verification code to be able to finalize the process (see /accounts/email-code)
- Once an account name is changed, all user sessions will be automatically revoked. Affected users will be notified about the change by email.
PATCH
/
accounts
/
rename
Rename account
Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Account renamed successfully
⌘I